using UnityEngine;

[System.Serializable]
public class FocalPoint : MonoBehaviour
{
    [SerializeField] bool isInGoal = false;

    void OnTriggerEnter(Collider other) {
        if (other.gameObject.tag == "Goal") {
            isInGoal = true;
        }
    }

    void OnTriggerExit(Collider other) {
        if (other.gameObject.tag == "Goal") {
            isInGoal = false;
        }
    }

    public bool GetIsInGoal() {
        return isInGoal;
    }
}
